/* $Id: ncron.h 6 2023-02-20 17:11:41Z nishi $ */

#ifndef __NCRON_NCRON_H__
#define __NCRON_NCRON_H__

#include <sys/types.h>
#include <stddef.h>

#define NCRON_VERSION "1.00"

void ncron_start();

struct ncron_entry {
	char* e_minute_start;
	char* e_hour_start;
	char* e_date_start;
	char* e_month_start;
	char* e_day_start;
	char* e_minute_end;
	char* e_hour_end;
	char* e_date_end;
	char* e_month_end;
	char* e_day_end;
	char* e_minute_step;
	char* e_hour_step;
	char* e_date_step;
	char* e_month_step;
	char* e_day_step;
	uid_t e_uid;
	gid_t e_gid;
	char e_reboot;
	char* e_command;
	char* e_shell;
	char* e_path;
};

struct ncrontab {
	struct ncron_entry** tabs;
	size_t tab_counter;
};

#endif
